require "spec_helper"

RSpec.describe Astronaut do
  describe ".push" do

    it "does stuff" do
      client = instance_double(Houston::Client)
      allow(Houston::Client).to receive(:new).and_return(client)
      notification = instance_double(Houston::Notification)
      allow(Houston::Notification).to receive(:new).and_return(notification)

      expect(client).to receive(:push).with(notification)
      Astronaut.push({})
    end
  end
end
